MKFIFO(1)

NOME
mkfifo - cria FIFOs (canais nomeados)

SINOPSE
mkfifo [opções] arquivo...

Opções POSIX: [-m modo]

Opções GNU (forma reduzida): [-m mode] [--help] [--version] [--]

DESCRIÇÃO
mkfifo cria FIFOs (também chamados de "canais nomeados") com o nome de arquivo especificado.

Um "FIFO" é um tipo de arquivo especial que permite processos independentes de comunicação. Um processo abre o arquivo FIFO para escrita, e outro para leitura, depois dos quais dados podem fluir como com o canal anônimo usual no interpretador de comando ou em outro lugar.

Por padrão, o modo de criação dos FIFOs é 0666 ('a+rw') menos os bits selecionados na umask.

OPÇÕES

-m modo, --mode=modo
    Fixa o modo de criação dos FIFOs para modo, que pode ser simbólico como em chmod(1) e então usa o modo padrão como ponto de partida.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2

NOTAS
Esta página descreve mkfifo como é encontrado no pacote Utilitários de Arquivos 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)